Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025193
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2013-11-21 09:552014-01-22 17:32
ReporterguilleaerView Statuspublic 
Assigned Tomarvintm 
PrioritynormalResolutionfixedFixed in VersionRMP29
StatusclosedFix in branchFixed in SCM revision468a6913d6d4
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025193: grosspricelist (PL including taxes) and priceStd (PL NOT including taxes) are not saved with the correct value

DescriptionUsing price including taxes:

If you pay an order which have discounts, the field grosspriceList should store the price list price whithout discounts.

Note: It only happens when the ticket has a promotion. In the next cases is working fine:
- Change price
- Basic discount
- standard order

Example:

Adhesive body warmers, price 3.60€
Fixed % disount 10%

Ticket
1 Adhesive body warmers 3.60
  Discount -0.36
Total 3.24

So far all ok

Pay the ticket and check DB:

select GrossPriceList, grosspricestd, Gross_Unit_Price,Line_Gross_Amount from c_orderline order by created desc limit 1

grosspricelist|grosspricestd|gross_unit_price|line_gross_amount
          3.24| 3.6| 3.24| 3.24

If I correctly understand OB's pricing model (here you have the cheetsheet I use), the values should be:

grosspricelist|grosspricestd|gross_unit_price|line_gross_amount
          3.6| 3.6| 3.24| 3.24

Using price NOT including taxes
PriceSTD is being saved with 0. This field should store the price of the product.

example:
With this receipt

GPS hand held: 290.9
Discount 10%: -30.4
Taxes: 54.71
TOTAL: 315.21

These are the stored values:

select
PriceList, pricestd, priceActual, lineNetAmt from c_orderline order by created desc limit 1

pricelist|pricestd|priceActual|linenetamount
   290.9 | 0 | 260.5 | 260.50

And these are the expected values according to Asier's cheat.

pricelist|pricestd|priceActual|linenetamount
   290.9 | 290.9 | 260.5 | 260.50

Note: This defect (priceSTD = 0) is happening in every orders, not just with those which have discounts and promotions.

Attached you can find a cheat of prices model in OB.

Steps To ReproduceCreate several orders with price including taxes and not including taxes (in ERP and in POS) and compare them.

queries to check it quickly

Including taxes:
-----------------
select GrossPriceList, grosspricestd, Gross_Unit_Price,Line_Gross_Amount from c_orderline order by created desc limit 2

Not including:
--------------
select PriceList, pricestd, priceActual, lineNetAmt from c_orderline order by created desc limit 2
TagsNo tags attached.
Attached Filespng file icon DLON_Credit_Notes_021.png [^] (12,652 bytes) 2013-11-21 09:55

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0062374)
hgbot (developer)
2013-11-25 18:00

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 37ff1cf60ea62997ef614cb78e9f76f175661c3e
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Nov 25 17:59:56 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/37ff1cf60ea62997ef614cb78e9f76f175661c3e [^]

fixed issue 25193: pricestd and grosspricelist are set correctly

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0062424)
hgbot (developer)
2013-11-28 05:01

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 69c226d03580c83931012cf1d2e81f9bb7c89d46
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Nov 25 17:59:56 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/69c226d03580c83931012cf1d2e81f9bb7c89d46 [^]

fixed issue 25193: pricestd and grosspricelist are set correctly

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0062427)
priyam (administrator)
2013-11-28 05:03

status changed on merge for RMP27.5
(0062518)
hgbot (developer)
2013-12-04 17:06

Repository: erp/pmods/org.openbravo.retail.posterminal-splitlines
Changeset: 37ff1cf60ea62997ef614cb78e9f76f175661c3e
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Nov 25 17:59:56 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/37ff1cf60ea62997ef614cb78e9f76f175661c3e [^]

fixed issue 25193: pricestd and grosspricelist are set correctly

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0062523)
hgbot (developer)
2013-12-04 17:06

Repository: erp/pmods/org.openbravo.retail.posterminal-splitlines
Changeset: 69c226d03580c83931012cf1d2e81f9bb7c89d46
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Nov 25 17:59:56 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/69c226d03580c83931012cf1d2e81f9bb7c89d46 [^]

fixed issue 25193: pricestd and grosspricelist are set correctly

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0062588)
hgbot (developer)
2013-12-05 12:13

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: 37ff1cf60ea62997ef614cb78e9f76f175661c3e
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Nov 25 17:59:56 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/37ff1cf60ea62997ef614cb78e9f76f175661c3e [^]

fixed issue 25193: pricestd and grosspricelist are set correctly

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0062593)
hgbot (developer)
2013-12-05 12:14

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: 69c226d03580c83931012cf1d2e81f9bb7c89d46
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Nov 25 17:59:56 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/69c226d03580c83931012cf1d2e81f9bb7c89d46 [^]

fixed issue 25193: pricestd and grosspricelist are set correctly

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0062639)
guilleaer (developer)
2013-12-05 17:21

Reclosing
(0062916)
hgbot (developer)
2013-12-19 19:48

Repository: erp/pmods/org.openbravo.retail.posterminal.offline
Changeset: 37ff1cf60ea62997ef614cb78e9f76f175661c3e
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Nov 25 17:59:56 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/37ff1cf60ea62997ef614cb78e9f76f175661c3e [^]

fixed issue 25193: pricestd and grosspricelist are set correctly

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0062921)
hgbot (developer)
2013-12-19 19:48

Repository: erp/pmods/org.openbravo.retail.posterminal.offline
Changeset: 69c226d03580c83931012cf1d2e81f9bb7c89d46
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Nov 25 17:59:56 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/69c226d03580c83931012cf1d2e81f9bb7c89d46 [^]

fixed issue 25193: pricestd and grosspricelist are set correctly

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0062988)
hgbot (developer)
2013-12-20 13:27

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 468a6913d6d4f208f2fd359c80d52f29bfe97fac
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Nov 25 17:59:56 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/468a6913d6d4f208f2fd359c80d52f29bfe97fac [^]

fixed issue 25193: pricestd and grosspricelist are set correctly

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0062992)
priyam (administrator)
2013-12-20 13:28

Clsoing as the status changed by RMP28.1 merge
(0063170)
hgbot (developer)
2014-01-02 12:36

Repository: erp/pmods/org.openbravo.retail.posterminal.offline
Changeset: 468a6913d6d4f208f2fd359c80d52f29bfe97fac
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Nov 25 17:59:56 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/468a6913d6d4f208f2fd359c80d52f29bfe97fac [^]

fixed issue 25193: pricestd and grosspricelist are set correctly

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0063196)
hgbot (developer)
2014-01-02 12:51

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: 468a6913d6d4f208f2fd359c80d52f29bfe97fac
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Nov 25 17:59:56 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/468a6913d6d4f208f2fd359c80d52f29bfe97fac [^]

fixed issue 25193: pricestd and grosspricelist are set correctly

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0063257)
hgbot (developer)
2014-01-07 15:40

Repository: erp/pmods/org.openbravo.retail.posterminal-splitlines
Changeset: 468a6913d6d4f208f2fd359c80d52f29bfe97fac
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Nov 25 17:59:56 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/468a6913d6d4f208f2fd359c80d52f29bfe97fac [^]

fixed issue 25193: pricestd and grosspricelist are set correctly

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0063311)
hgbot (developer)
2014-01-08 17:06

Repository: erp/pmods/org.openbravo.retail.posterminal-warehouseselector
Changeset: 468a6913d6d4f208f2fd359c80d52f29bfe97fac
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Nov 25 17:59:56 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-warehouseselector/rev/468a6913d6d4f208f2fd359c80d52f29bfe97fac [^]

fixed issue 25193: pricestd and grosspricelist are set correctly

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0063623)
guilleaer (developer)
2014-01-22 17:32

reclosing issues

- Issue History
Date Modified Username Field Change
2013-11-21 09:55 guilleaer New Issue
2013-11-21 09:55 guilleaer Assigned To => marvintm
2013-11-21 09:55 guilleaer File Added: DLON_Credit_Notes_021.png
2013-11-21 09:55 guilleaer Triggers an Emergency Pack => No
2013-11-25 18:00 hgbot Checkin
2013-11-25 18:00 hgbot Note Added: 0062374
2013-11-25 18:00 hgbot Status new => resolved
2013-11-25 18:00 hgbot Resolution open => fixed
2013-11-25 18:00 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/37ff1cf60ea62997ef614cb78e9f76f175661c3e [^]
2013-11-25 19:43 marvintm Review Assigned To => marvintm
2013-11-25 19:43 marvintm Status resolved => closed
2013-11-25 19:43 marvintm Fixed in Version => RMP29
2013-11-28 05:01 hgbot Checkin
2013-11-28 05:01 hgbot Note Added: 0062424
2013-11-28 05:01 hgbot Status closed => resolved
2013-11-28 05:01 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/37ff1cf60ea62997ef614cb78e9f76f175661c3e [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/69c226d03580c83931012cf1d2e81f9bb7c89d46 [^]
2013-11-28 05:03 priyam Note Added: 0062427
2013-11-28 05:03 priyam Status resolved => closed
2013-12-04 17:06 hgbot Checkin
2013-12-04 17:06 hgbot Note Added: 0062518
2013-12-04 17:06 hgbot Status closed => resolved
2013-12-04 17:06 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/69c226d03580c83931012cf1d2e81f9bb7c89d46 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/37ff1cf60ea62997ef614cb78e9f76f175661c3e [^]
2013-12-04 17:06 hgbot Checkin
2013-12-04 17:06 hgbot Note Added: 0062523
2013-12-04 17:06 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/37ff1cf60ea62997ef614cb78e9f76f175661c3e [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/69c226d03580c83931012cf1d2e81f9bb7c89d46 [^]
2013-12-05 12:13 hgbot Checkin
2013-12-05 12:13 hgbot Note Added: 0062588
2013-12-05 12:13 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/69c226d03580c83931012cf1d2e81f9bb7c89d46 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/37ff1cf60ea62997ef614cb78e9f76f175661c3e [^]
2013-12-05 12:14 hgbot Checkin
2013-12-05 12:14 hgbot Note Added: 0062593
2013-12-05 12:14 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/37ff1cf60ea62997ef614cb78e9f76f175661c3e [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/69c226d03580c83931012cf1d2e81f9bb7c89d46 [^]
2013-12-05 17:21 guilleaer Note Added: 0062639
2013-12-05 17:21 guilleaer Status resolved => closed
2013-12-19 19:48 hgbot Checkin
2013-12-19 19:48 hgbot Note Added: 0062916
2013-12-19 19:48 hgbot Status closed => resolved
2013-12-19 19:48 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/69c226d03580c83931012cf1d2e81f9bb7c89d46 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/37ff1cf60ea62997ef614cb78e9f76f175661c3e [^]
2013-12-19 19:48 hgbot Checkin
2013-12-19 19:48 hgbot Note Added: 0062921
2013-12-19 19:48 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/37ff1cf60ea62997ef614cb78e9f76f175661c3e [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/69c226d03580c83931012cf1d2e81f9bb7c89d46 [^]
2013-12-20 13:27 hgbot Checkin
2013-12-20 13:27 hgbot Note Added: 0062988
2013-12-20 13:27 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/69c226d03580c83931012cf1d2e81f9bb7c89d46 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/468a6913d6d4f208f2fd359c80d52f29bfe97fac [^]
2013-12-20 13:28 priyam Note Added: 0062992
2013-12-20 13:28 priyam Status resolved => closed
2014-01-02 12:36 hgbot Checkin
2014-01-02 12:36 hgbot Note Added: 0063170
2014-01-02 12:36 hgbot Status closed => resolved
2014-01-02 12:36 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/468a6913d6d4f208f2fd359c80d52f29bfe97fac [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/468a6913d6d4f208f2fd359c80d52f29bfe97fac [^]
2014-01-02 12:51 hgbot Checkin
2014-01-02 12:51 hgbot Note Added: 0063196
2014-01-02 12:51 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/468a6913d6d4f208f2fd359c80d52f29bfe97fac [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/468a6913d6d4f208f2fd359c80d52f29bfe97fac [^]
2014-01-07 15:40 hgbot Checkin
2014-01-07 15:40 hgbot Note Added: 0063257
2014-01-07 15:40 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/468a6913d6d4f208f2fd359c80d52f29bfe97fac [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/468a6913d6d4f208f2fd359c80d52f29bfe97fac [^]
2014-01-08 17:06 hgbot Checkin
2014-01-08 17:06 hgbot Note Added: 0063311
2014-01-08 17:06 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/468a6913d6d4f208f2fd359c80d52f29bfe97fac [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-warehouseselector/rev/468a6913d6d4f208f2fd359c80d52f29bfe97fac [^]
2014-01-22 17:32 guilleaer Note Added: 0063623
2014-01-22 17:32 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker